import 'package:flutter/material.dart';

import '../../../../themes/styles_text.dart';

class ItemColumnWidget extends StatelessWidget {
  final String title;
  double? textSize12;
  final Widget child;
  ItemColumnWidget({Key? key, required this.title, required this.child, this.textSize12}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Text(
            title,
            style: textSize12 != null ? StylesText.body6.copyWith(fontSize: textSize12) : StylesText.body6,
          ),
          const SizedBox(
            height: 5,
          ),
          child,
        ],
      ),
    );
  }
}
